> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a notification

> Creates a notification.



## OpenAPI

````yaml /openapi.json post /notifications
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /notifications:
    post:
      tags:
        - Notifications
      summary: Create a notification
      description: Creates a notification.
      operationId: CreateNotification
      requestBody:
        content:
          application/json-patch+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/NotificationDto'
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/NotificationDto'
          application/*+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/NotificationDto'
      responses:
        '202':
          description: When request is accepted. Returns a 'Link' object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Link'
        '400':
          description: When an unsupported request is made.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    NotificationDto:
      type: object
      properties:
        staffId:
          type: string
          description: Staff id to notify.
          nullable: true
          example: 832e778f-83df-454a-b344-768a862a7e67
        icon:
          type: string
          description: "The icon to display for the notification.\r\n\r\nWill be validated against the Smokeball icon sets."
          nullable: true
          example: ''
        iconColor:
          type: string
          description: The icon hex color to display for the notification.
          nullable: true
          example: '#25C9A4'
        message:
          type: string
          description: "The message to display for the notification.\r\n\r\nSupports basic markdown syntax, such as: ** bold **, -- italic --\r\n            \r\nSupports basic UI markdown syntax for staff member id, such as [@staffId]"
          nullable: true
          example: '[@staffId] has **assigned** you a Task.'
        toastyIcon:
          type: string
          description: The toast notification icon to display for the notification.
          nullable: true
        toastyMessage:
          type: string
          description: The toast notification message to display for the notification.
          nullable: true
        actionUri:
          type: string
          description: The Smokeball uri to execute when the notification is clicked.
          nullable: true
      additionalProperties: false
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````